<?php namespace App\Commands;

use CodeIgniter\CLI\BaseCommand;
use CodeIgniter\CLI\CLI;

class MakeMigration extends BaseCommand
{
	protected $group = 'ErtikazOS';
	protected $name = 'make:migration';
	protected $description = 'Create a new migration class from table.';
	protected $usage = 'make:migration [table]';
	protected $arguments = [
		'name' => 'The table name.',
	];

	public function run(array $params = [])
	{
		if (!isset($params[0]) || empty($params[0]))
		{
			CLI::error('"name" argument is missing.');
			CLI::write('');
			return;
		}

		$table  = array_shift($params);
		$db     = \Config\Database::connect();
		if (!$db->tableExists($table))
		{
			CLI::error('"'.$table.'" table is not exists.');
			CLI::write('');
			return;
		}

		$query  = $db->query('SHOW CREATE TABLE `'.$table.'`');
		$create = $query->getRow();
		$query  = $create->{'Create Table'};
		$query  = preg_replace('/AUTO_INCREMENT=\d+\s/', '', $query);
		$query  = str_replace('$', '\$', $query);
		$query  = str_replace("\n", "\";\n		\$query .=\"", $query);
		$query  = '$query  ="'.$query.'";';


		$template = <<<EOT
<?php namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Migration_{table} extends Migration
{
	public function up()
	{
		\$db = \Config\Database::connect();
		{query}
		\$db->query(\$query);
	}

	//--------------------------------------------------------------------

	public function down()
	{
		\$this->forge->dropTable('{table}');
	}
}

EOT;
		// replace 
		$template = str_replace('{query}', $query, $template);
		$template = str_replace('{table}', $table, $template);
		// create the file
		$makefile = APPPATH.'Database/Migrations/'.date('YmdHis_').$table.'.php';
		file_put_contents($makefile, $template);
		CLI::write('Created file: ' . CLI::color($makefile, 'green'));
		CLI::write('');
	}

}
