<?php namespace App\Controllers\Admin;

use App\Controllers\BaseController;

class Home extends BaseController
{

	public function index()
	{
		return redirect()->to('/admin/dashboard');
	}

	public function dashboard()
	{

		if ( ! $users = cache('widgets.users'))
		{
			$db     = db_connect();
			$select = $db->table('users');
			$select->select('sum(status = "On") as Active,sum(status = "Off") as Inactive');
			$query = $select->get();
			$users = $query->getRow();
			cache()->save('widgets.users', $users, 300);
		}
		else
		{
			$users = cache('widgets.users');
		}

		$widgets = [
			[
				'title'     => 'Users',
				'type'      => 'donut',
				'columns'   => [
					[$users->Active.' Active', $users->Active],
					[$users->Inactive.' Inactive', $users->Inactive],
				],
				//'color'     => ['pattern'=>['#36bea6', '#f62d51']],
				'color'     => ['pattern'=>[]],
			]
		];
		return view('admin/home', ['widgets'=>$widgets]);
	}

}
