<?php namespace App\Controllers\User;

use App\Models\User\User;
use App\Entities\User\UserEntity;
use App\Controllers\BaseController;

class Profile extends BaseController
{
    protected $user;
    function __construct()
    {
        $this->user = new User();
    }

    public function index()
    {
        $limit  = 10;
        $offset = 0;
        $rows   = $this->user->findAll($limit, $offset);
        return view('user/profile/index', ['rows'=>$rows]);
    }

    public function update()
    {
        $id  = session('user')->id;
        $row = $this->user->find($id);
        if(!$row)
        {
            return redirect()
                ->to('/user/profile')
                ->with('errors', ['Data is not found.']);
        }
        return view('user/profile/update', ['row'=>$row]);
    }

    public function postUpdate()
    {
        $id  = session('user')->id;
        $row = $this->user->find($id);
        if(!$row)
        {
            return redirect()
                ->to('/user/profile')
                ->with('errors', ['Data is not found.']);
        }
        $row->fill($this->request->getPost());
        if(!$this->user->save($row))
        {
            return redirect()
                ->to('/user/profile/update')
                ->withInput()
                ->with('errors', $this->user->errors());
        }
        return redirect()
            ->to('/user/profile')
            ->with('success', 'Data has been saved.');
    }
}
