<?php namespace App\Database\Seeds;

class UsersSeeder extends \CodeIgniter\Database\Seeder
{
	public function run()
	{
		$options = [
			'admin'=> [
				'apps'=> [
					'admin'=>1, 'admin/dashboard'=>1, 'admin/users'=>1, 'user'=>1, 'user/profile'=>1
				]
			],
			'user'=> [
				'apps'=> [
					'user'=>1, 'user/profile'=>1
				]
			]
		];
		$data = [
			[
				'name' => 'Admin',
				'email' => 'admin@ertikazos.com',
				'password' => password_hash('12345678', PASSWORD_DEFAULT),
				'mobile' => '0',
				'options' => serialize($options['admin']),
				'authcode' => '',
				'status' => 'On',
				'created_by' => '0',
				'created_at' => '2019-07-01 00:00:00',
				'updated_by' => '',
				'updated_at' => ''
			],
			[
				'name' => 'User',
				'email' => 'user@ertikazos.com',
				'password' => password_hash('12345678', PASSWORD_DEFAULT),
				'mobile' => '0',
				'options' => serialize($options['user']),
				'authcode' => '',
				'status' => 'On',
				'created_by' => '0',
				'created_at' => '2019-07-01 00:00:00',
				'updated_by' => '',
				'updated_at' => ''
			],
		];
		$this->db->table('users')->insertBatch($data);
	}
}
