<?php namespace App\Filters;

use CodeIgniter\Filters\FilterInterface;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use CodeIgniter\Security\Exceptions\SecurityException;
use Config\Services;

class isAuthenticated implements FilterInterface
{
	/**
	 * Allow user to access.
	 *
	 * @param RequestInterface|\CodeIgniter\HTTP\IncomingRequest $request
	 *
	 * @return mixed
	 */
	public function before(RequestInterface $request)
	{
		if ($request->isCLI())
		{
			return;
		}
	    if(!session()->has('user'))
	    {
	        return redirect()->to('/auth/login');
	    }
	    $app = $request->uri->getSegment(1).'/'.$request->uri->getSegment(2);
	    $app = rtrim($app, '/');
	    if(!isset(session('user')->options['apps'][$app]))
	    {
	    	return redirect()->to('/auth/login');
	    }
		return;
	}

	//--------------------------------------------------------------------

	/**
	 * We don't have anything to do here.
	 *
	 * @param RequestInterface|\CodeIgniter\HTTP\IncomingRequest $request
	 * @param ResponseInterface|\CodeIgniter\HTTP\Response $response
	 *
	 * @return mixed
	 */
	public function after(RequestInterface $request, ResponseInterface $response)
	{
	}

	//--------------------------------------------------------------------
}
