<?php namespace App\Models\Admin;

use App\Models\Model;
use App\Entities\Admin\UserEntity;

class User extends Model
{
    protected $table = 'users';
    protected $returnType = UserEntity::class;
    protected $useTimestamps = true;
    protected $allowedFields = [
        'name','email','password','mobile','options','authcode','status'
    ];

    protected $validationRules = [
        'name' => 'required|max_length[64]',
        'email' => 'required|valid_email|max_length[64]',
        'password' => 'min_length[60]|max_length[60]',
        'mobile' => 'min_length[1]|max_length[15]',
        'options' => 'required',
        'authcode' => 'max_length[32]',
        'status' => 'required|max_length[3]',
    ];
}
