<?php namespace App\Models\User;

use App\Models\Model;
use App\Entities\User\UserEntity;

class User extends Model
{
	protected $table = 'users';
	protected $returnType = UserEntity::class;
	protected $useTimestamps = true;
	protected $allowedFields = [
		'name','email','password','mobile'
	];

	protected $validationRules = [
		'name' => 'required|max_length[64]',
		'email' => 'required|max_length[64]|is_unique[users.email,id]',
		'password' => 'required|max_length[60]',
		'mobile' => 'required|min_length[10]|max_length[15]|is_unique[users.mobile,id]',
	];
}
