<?php namespace App\Validation;

/**
 * Rules.
 *
 * @package App\Validation
 */
class Rules
{
	//--------------------------------------------------------------------

	/**
	 * Checks if the given value is exist in a model.
	 *
	 * Example:
	 *    is_model[App\Models\User]
	 *
	 * @param string $str
	 * @param string $class
	 * @param array  $data  Other field/value pairs
	 *
	 * @return boolean
	 */
	static function in_model(string $str = null, string $class, array $data): bool
	{
		$key = 'id';
		list($class, $method) = explode('::', $class);
                if(strpos($method, ',') !== false)
                {
                    list($method, $key) = explode(',', $method);
                }
                $model 	= new $class();
                $result = $model->{$method}($str);
                return is_object($result) || (is_array($result) && count($result)>0);
	}
}
