<?= $this->extend('admin/layout') ?>
<?= $this->section('stylesheet') ?>
<link rel="stylesheet" href="<?php echo base_url()?>assets/css/c3.min.css" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
	<?php foreach ($widgets as $key => $widget) { ?>
	<div class="col-md-4">
		<div class="card border-bottom border-info">
			<div class="card">
				<div class="card-body">
					<h4 class="card-title">
						<?php echo $widget['title']?>
					</h4>
					<div id="c3chart" class="c3chart" style="height: 250px;" 
						data-c3chart-title="<?php echo htmlspecialchars($widget['title'], ENT_QUOTES, 'UTF-8')?>"
						data-c3chart-type="<?php echo htmlspecialchars($widget['type'], ENT_QUOTES, 'UTF-8')?>"
						data-c3chart-columns="<?php echo htmlspecialchars(json_encode($widget['columns']), ENT_QUOTES, 'UTF-8')?>"
						data-c3chart-color="<?php echo htmlspecialchars(json_encode($widget['color']), ENT_QUOTES, 'UTF-8')?>"></div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>
</div>
<?= $this->endSection() ?>
<?= $this->section('javascript') ?>
<script src="<?php echo base_url()?>assets/js/d3.min.js"></script>
<script src="<?php echo base_url()?>assets/js/c3.min.js"></script>
<script type="text/javascript">
	$(function(){
		$('.c3chart').each(function(){
			if($(this).data('c3chart-type') == 'donut') {
				var $title   = $(this).data('c3chart-title');
				var $type    = $(this).data('c3chart-type');
				var $columns = $(this).data('c3chart-columns');
				var $color   = $(this).data('c3chart-color');
				var $options = {
					bindto: this,
					data: {
						columns: $columns,
						type : $type
					},
					donut: {
						title: $title
					}
				};
				if($color) $options.color = $color;
				var chart = c3.generate($options);
			}
		});
	});
</script>
<?= $this->endSection() ?>
