<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
	<meta charset="utf-8">
	<title>ErtikazOS Admin</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="ErtikazOS an unified platform for multiapplications">
	<meta name="author" content="ErtikazOS">
	<meta name="keywords" content="ErtikazOS platform">
	<meta name="mobile-web-app-capable" content="yes">
	<meta name=apple-mobile-web-app-capable content=yes>
	<meta name="twitter:card" content="summary" />
	<meta name="twitter:site" content="@daif" />
	<meta property="og:url" content="<?php echo base_url()?>" />
	<meta property="og:site_name" content="ErtikazOS" />
	<meta property="og:title" content="ErtikazOS platform" />
	<meta property="og:description" content="ErtikazOS an unified platform for multiapplications" />
	<meta property="og:image" itemprop="image" content="<?php echo base_url()?>assets/images/favicon.png" />
	<meta property="og:type" content="website" />
	<meta property="og:updated_time" content="1550949963" />
	<link rel="manifest" href="<?php echo base_url()?>assets/manifest.json">
	<link rel="icon" href="<?php echo base_url()?>assets/images/favicon.png" type="image/png" sizes="16x16" />
	<link rel="stylesheet" href="<?php echo base_url()?>assets/css/style.min.css" />
	<link rel="stylesheet" href="<?php echo base_url()?>assets/css/tempusdominus-bootstrap-4.min.css" />
	<link rel="stylesheet" href="<?php echo base_url()?>assets/css/fontawesome-all.css" />
	<?= $this->renderSection('stylesheet') ?>
</head>

<body>
	<div id="main-wrapper" data-layout="vertical" data-navbarbg="skin5" data-sidebartype="full" data-sidebar-position="absolute" data-header-position="absolute" data-boxed-layout="full">
		<header class="topbar" data-navbarbg="skin5">
			<nav class="navbar top-navbar navbar-expand-md navbar-dark">
				<div class="navbar-header" data-logobg="skin5">
					<a class="navbar-brand" href="<?php echo base_url()?>">
						<b class="logo-icon">
							<img src="<?php echo base_url()?>assets/images/favicon.png" alt="ErtikazOS platform" class="light-logo" style="max-height: 45px;" />
						</b>
						<span class="logo-text">ErtikazOS</span>
					</a>
					<a class="nav-toggler d-block d-md-none" href="javascript:void(0)"><i class="fa fa-bars"></i></a>
				</div>
			</nav>
		</header>
		<aside class="left-sidebar" data-sidebarbg="skin6">
			<div class="scroll-sidebar">
				<nav class="sidebar-nav">
					<ul id="sidebarnav">
						<li>
							<div class="user-profile d-flex no-block dropdown m-t-20">
								<div class="user-pic"><img src="<?php echo base_url()?>assets/images/user.jpg" alt="users" class="rounded-circle" width="40" /></div>
								<div class="user-content hide-menu m-l-10">
									<a href="javascript:void(0)" class="" id="Userdd" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
										<h5 class="m-b-0 user-name font-medium">
											<?php echo session('user')->name?> <i class="fa fa-angle-down"></i></h5>
										<span class="op-5 user-email">
											<?php echo session('user')->email?></span>
									</a>
									<div class="dropdown-menu dropdown-menu-right" aria-labelledby="Userdd">
										<a class="dropdown-item" href="<?php echo base_url()?>user/profile"><i class="fa fa-user m-r-5 m-l-5"></i>
											<?php echo lang('User.myprofile')?></a>
										<div class="dropdown-divider"></div>
										<a class="dropdown-item" href="<?php echo base_url()?>auth/logout"><i class="fa fa-power-off m-r-5 m-l-5"></i>
											<?php echo lang('Auth.logout')?></a>
									</div>
								</div>
							</div>
						</li>
						<?php $AdminLinks = Config('AdminLinks')->links();?>
						<?php foreach ($AdminLinks as $route => $link) { ?>
						<?php if(isset(session('user')->options['apps'][$route])) {?>
						<?php if($link['menu']){?>
						<?php if($link['sublinks']) { ?>
						<li class="sidebar-item">
							<a class="sidebar-link has-arrow" href="javascript:void(0)" aria-expanded="false">
								<?php echo $link['icon']?>
								<span class="hide-menu">
									<?php echo lang($link['name'])?></span>
							</a>
							<ul aria-expanded="false" class="collapse first-level">
								<?php foreach ($link['sublinks'] as $subroute => $sublink) { ?>
								<li class="sidebar-item"><a href="<?php echo base_url()?><?php echo $subroute?>" class="sidebar-link">
										<?php echo $sublink['icon']?><span class="hide-menu">
											<?php echo lang($sublink['name'])?> </span>
									</a>
								</li>
								<?php } ?>
							</ul>
						</li>
						<?php } else { ?>
						<li class="sidebar-item">
							<a class="sidebar-link" href="<?php echo base_url()?><?php echo $route?>" aria-expanded="false">
								<?php echo $link['icon']?>
								<span class="hide-menu">
									<?php echo lang($link['name'])?></span>
							</a>
						</li>
						<?php } ?>
						<?php } ?>
						<?php } ?>
						<?php } ?>
					</ul>
				</nav>
			</div>
		</aside>
		<div class="page-wrapper">
			<div class="container-fluid" style="padding-top: 10px;">
				<?php 
					$segments = service('request')->uri->getSegments();
					$Sublinks = Config('AdminLinks')->Sublinks();
				?>
				<?php if(!empty($segments[0]) && !empty($segments[1])) { ?>
				<div class="row">
					<div class="col-11">
						<nav class="breadcrumb" style="margin-bottom: 0px;padding-left: 3px;">
							<?php for($i=0;$i<(count($segments)-1);$i++) { ?>
							<a class="breadcrumb-item" href="<?php echo base_url()?><?php echo implode('/', array_slice($segments, 0, $i+1))?>">
								<?php echo ucfirst($segments[$i])?></a>
							<?php } ?>
							<span class="breadcrumb-item active">
								<?php echo ucfirst($segments[$i])?></span>
						</nav>
					</div>
					<div class="col-1">
						<?php if(!empty($segments[1]) && !empty($Sublinks[$segments[0].'/'.$segments[1]]['create'])){?>
						<div class="btn-group float-right">
							<a class="btn btn-primary" href="<?php echo base_url()?><?php echo $segments[0]?>/<?php echo $segments[1]?>/create"><i class="fa fa-plus-square"></i> <span class="hide-menu m-l-5">
									<?php echo lang('Admin.create')?></span></a>
							<button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<span class="sr-only">Toggle Dropdown</span>
							</button>
							<div class="dropdown-menu">
								<?php foreach ($Sublinks as $route => $link) { ?>
								<?php if(isset(session('user')->options['apps'][$route])) {?>
								<?php if($link['create']){?>
								<a class="dropdown-item" href="<?php echo base_url()?><?php echo $route?>/create"><i class="fa fa-plus-square"></i>
									<?php echo lang($link['name'])?></a>
								<?php } ?>
								<?php } ?>
								<?php } ?>
							</div>
						</div>
						<?php } ?>
					</div>
				</div>
				<?php } ?>
				<?php if(is_string(session('success'))) {?>
				<div class="alert alert-success alert-dismissible fade show" role="alert">
					<?php echo session('success')?>
					<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				</div>
				<?php } ?>
				<?php if(is_string(session('errors'))) {?>
				<div class="alert alert-danger alert-dismissible fade show" role="alert">
					<?php echo session('errors')?>
					<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				</div>
				<?php } ?>
				<?= $this->renderSection('content') ?>
			</div>
		</div>
		<footer class="footer text-center">
			All Rights Reserved. Developed by <a href="https://ErtikazOS.com/">ErtikazOS</a>.
		</footer>
	</div>
	<script src="<?php echo base_url()?>assets/js/jquery.min.js"></script>
	<script src="<?php echo base_url()?>assets/js/popper.min.js"></script>
	<script src="<?php echo base_url()?>assets/js/bootstrap.min.js"></script>
	<script src="<?php echo base_url()?>assets/js/jquery.inputmask.bundle.min.js"></script>
	<script src="<?php echo base_url()?>assets/js/moment.min.js"></script>
	<script src="<?php echo base_url()?>assets/js/tempusdominus-bootstrap-4.min.js"></script>
	<script src="<?php echo base_url()?>assets/js/sidebarmenu.js"></script>
	<script src="<?php echo base_url()?>assets/js/custom.js"></script>
	<?= $this->renderSection('javascript') ?>
</body>

</html>
