<?php echo $this->extend('admin/layout') ?>
<?php echo $this->section('stylesheet') ?>
<?php echo $this->endSection() ?>
<?php echo $this->section('content') ?>
<div class="row">
	<div class="col-12">
		<div class="card">
			<div class="card-body">
				<form action="<?php echo base_url()?>admin/users/update/<?php echo $row->id?>" method="POST">
					<div class="form-group row">
						<label for="name" class="col-md-2 col-form-label">
							<?php echo lang('User.name')?></label>
						<div class="col-md-10">
							<input type="text" class="form-control" id="name" name="name" aria-describedby="nameHelp" placeholder="<?php echo lang('User.name')?>" value="<?php echo old('name', $row->name)?>">
							<?php if(isset(session('errors')['name'])){ ?>
							<small id="nameHelp" class="form-text text-danger">
								<?php echo session('errors')['name']?></small>
							<?php } ?>
							<small id="nameHelp" class="form-text text-muted">
								<?php echo lang('User.nameHelp')?></small>
						</div>
					</div>
					<div class="form-group row">
						<label for="email" class="col-md-2 col-form-label">
							<?php echo lang('User.email')?></label>
						<div class="col-md-10">
							<input type="text" class="form-control" id="email" name="email" aria-describedby="emailHelp" placeholder="<?php echo lang('User.email')?>" value="<?php echo old('email', $row->email)?>">
							<?php if(isset(session('errors')['email'])){ ?>
							<small id="emailHelp" class="form-text text-danger">
								<?php echo session('errors')['email']?></small>
							<?php } ?>
							<small id="emailHelp" class="form-text text-muted">
								<?php echo lang('User.emailHelp')?></small>
						</div>
					</div>
					<div class="form-group row">
						<label for="mobile" class="col-md-2 col-form-label">
							<?php echo lang('User.mobile')?></label>
						<div class="col-md-10">
							<input type="text" class="form-control" id="mobile" name="mobile" aria-describedby="mobileHelp" placeholder="<?php echo lang('User.mobile')?>" value="<?php echo old('mobile', $row->mobile)?>">
							<?php if(isset(session('errors')['mobile'])){ ?>
							<small id="mobileHelp" class="form-text text-danger">
								<?php echo session('errors')['mobile']?></small>
							<?php } ?>
							<small id="mobileHelp" class="form-text text-muted">
								<?php echo lang('User.mobileHelp')?></small>
						</div>
					</div>
					<div class="form-group row">
						<label for="options" class="col-md-2 col-form-label">
							<?php echo lang('User.apps')?></label>
						<div class="col-md-10">
							<?php $AdminLinks = Config('AdminLinks')->links(); ?>
							<?php foreach ($AdminLinks as $route => $link) { ?>
							<div class="form-group form-check">
								<input type="checkbox" class="form-check-input" <?php echo ((isset($row->options['apps'][$route]))?'checked':'')?> name="options[apps][<?php echo $route?>]" id="<?php echo $route?>" value="1">
								<?php echo $link['icon']?>
								<label class="form-check-label" for="<?php echo $route?>">
									<?php echo $route?></label>
								<div>
									<?php foreach ($link['sublinks'] as $subroute => $sublink) { ?>
									<div class="form-group form-check" style="margin-top: 0.3rem;margin-bottom: 0.3rem;">
										<input type="checkbox" class="form-check-input" <?php echo ((isset($row->options['apps'][$subroute]))?'checked':'')?> name="options[apps][<?php echo $subroute?>]" id="<?php echo $subroute?>" value="1">
										<?php echo $sublink['icon']?>
										<label class="form-check-label" for="<?php echo $subroute?>">
											<?php echo $subroute?></label>
									</div>
									<?php } ?>
								</div>
							</div>
							<?php } ?>
						</div>
					</div>
					<div class="form-group row">
						<label for="status" class="col-md-2 col-form-label">
							<?php echo lang('User.status')?></label>
						<div class="col-md-10">
							<select class="form-control" id="status" name="status">
								<?php foreach ($statuses as $key => $status) { ?>
								<option value="<?php echo $status->value?>" <?php echo (($row->status==$status->value)?'selected':'')?>>
									<?php echo $status->value?>
								</option>
								<?php } ?>
							</select>
							<?php if(isset(session('errors')['status'])){ ?>
							<small id="statusHelp" class="form-text text-danger">
								<?php echo session('errors')['status']?></small>
							<?php } ?>
							<small id="statusHelp" class="form-text text-muted">
								<?php echo lang('User.statusHelp')?></small>
						</div>
					</div>
					<button type="submit" class="btn btn-primary">
						<?php echo lang('User.update')?></button>
				</form>
			</div>
		</div>
	</div>
</div>
<?php echo $this->endSection() ?>
<?php echo $this->section('javascript') ?>
<?php echo $this->endSection() ?>
